reverse_proxy_client_create_with_port
reverse_proxy_client_create_with_service
reverse_proxy_client_free
reverse_proxy_client_set_data_callback
reverse_proxy_client_set_log_callback
reverse_proxy_client_set_status_callback
reverse_proxy_client_start_proxy
reverse_proxy_client_t
reverse_proxy_client_type_t
reverse_proxy_data_cb_t
reverse_proxy_data_direction_t
REVERSE_PROXY_DEFAULT_PORT
reverse_proxy_error_t
reverse_proxy_get_type
reverse_proxy_log_cb_t
reverse_proxy_status_cb_t
reverse_proxy_status_t

## reverse_proxy_client_create_with_port()

LIBIMOBILEDEVICE_API reverse_proxy_error_t reverse_proxy_client_create_with_port | ( | idevice_t | device,
|  | reverse_proxy_client_t * | client,
|  | uint16_t | device_port )

Create a reverse proxy client using an open port on the device.

This is used during firmware restores with the default port REVERSE_PROXY_DEFAULT_PORT (1082).

Note
  This function only creates and initializes the reverse proxy; to make it operational, call reverse_proxy_client_start_proxy().

Parameters

  device | The device to connect to.
  client | Pointer that will be set to a newly allocated reverse_proxy_client_t upon successful return.
  device_port | An open port on the device. Unless it's being used for a custom implementation, pass REVERSE_PROXY_DEFAULT_PORT here.

Returns
  REVERSE_PROXY_E_SUCCESS on success, or a REVERSE_PROXY_E_* error code otherwise.